\documentclass[landscape]{zettel2}

\geometry{top=2cm, bottom=2cm, left=1cm, right=1cm}

% Header & Footer
\pagestyle{empty}

\DTLloaddb{zimmereinteilung}{teilnehmende.csv}
\DTLloaddb{zimmer}{zimmer.csv}
\DTLloaddb{gang}{gang.csv}

\begin{document}

    \begin{center}
        {\Huge \textsc{Zimmereinteilung}}
    \end{center}

    \vspace{1cm}


    % The amount of colums and the last room per line have to be set manually

    \DTLforeach{gang}{%
        \currentGang=Gang%
    }{%
        \DTLforeach{zimmer}{%
            \currentZimmer=Zimmer,%
            \bewohner=Bewohner,%
            \gang=Gang%
        }{%
            \ifthenelse{\equal{\gang}{\currentGang} \AND \equal{\bewohner}{Teilnehmende}}{%
                \begin{minipage}[t]{0.2\textwidth}
                    {\Large \currentZimmer}
                    \begin{itemize}
                        \DTLforeach{zimmereinteilung}{%
                            \vorname=Vorname,%
                            \nachname=Nachname,%
                            \zimmer=Zimmer%
                        }{%
                            \ifthenelse{%
                                \equal{\zimmer}{\currentZimmer}%
                            }{%
                                \item \vorname~\nachname
                            }{}%
                        }
                    \end{itemize}
                \end{minipage}
                \vspace{0.5cm}
            }{}
        }

    }

\end{document}
